vlc (3.0.21-11) unstable; urgency=medium

  * debian/rules: Disable postproc plugin since libpostproc is removed from
    ffmpeg 8.0
  * debian/control:
    - Bump Standards-Version
    - Remove unused BD on libvcdinfo-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Aug 2025 18:41:04 +0200

vlc (3.0.21-10) unstable; urgency=medium

  * debian/: Disable plugins that are no longer supported upstream
    - a52
    - dca
    - libmpeg2

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 May 2025 22:30:46 +0200

vlc (3.0.21-9) unstable; urgency=medium

  * Revert "Bump to lua5.4"
    The vlc script ecosystem expects certain versions of lua and lua5.4 is not
    one of them.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 07 Mar 2025 07:31:22 +0100

vlc (3.0.21-8) unstable; urgency=medium

  * Team upload
  * Bump to lua5.4

 -- Bastian Germann <bage@debian.org>  Fri, 07 Mar 2025 01:01:48 +0100

vlc (3.0.21-7) unstable; urgency=medium

  * debian/patches: Fix build with x265 4.1

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Jan 2025 19:02:47 +0100

vlc (3.0.21-6) unstable; urgency=medium

  * debian/patches: Update to 3.0.21-1-385-g7b58309ae7
    * Ignore win32 and compat changes
    * Replace taglib 2.x patches with upstream changes
  * debian/: Re-enable VAAPI support (Closes: #1021601, #1013898)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Jan 2025 23:09:47 +0100

vlc (3.0.21-5) unstable; urgency=medium

  * Fix changelog of 3.0.21-3
  * debian/patches: Split patches into upstream and Arch patch

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Jan 2025 10:55:36 +0100

vlc (3.0.21-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/patches/0014-Taglib-1.x-and-2.x-compat-fix.patch:
    Update patch to fix FTBFS on ARM architectures.
  * debian/control: Update build-dependency package name:
    + libtag1-dev => libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 22:33:36 -0500

vlc (3.0.21-4~exp1) experimental; urgency=medium

  * Team upload.
  * Force rebuild with taglib 2.x.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 11:21:32 -0500

vlc (3.0.21-3) unstable; urgency=medium

  * Team upload.

  [ Sebastian Ramacher ]
  * debian/clean: Clean luac files (Closes: #1047601)

  [ Boyuan Yang ]
  * debian/patches/0014-Taglib-1.x-and-2.x-compat-fix.patch:
    Add patch to fix compatibility with both Taglib 1.x and 2.x.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 11:06:11 -0500

vlc (3.0.21-2) unstable; urgency=medium

  * debian/patches: Apply WIP patches for ffmpeg 7.0 support (Closes:
    #1072456)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Aug 2024 12:11:01 +0200

vlc (3.0.21-1) unstable; urgency=medium

  * New upstream version 3.0.21
  * debian/patches: Refresh patches
  * debian/control: Replace obsolete packages with their new versions

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Jun 2024 18:01:08 +0200

vlc (3.0.20-4) unstable; urgency=medium

  [ Bastian Germann ]
  * Drop OMX support (see #1065623)
  * Drop kFreeBSD support

  [ Sebastian Ramacher ]
  * debian/:
    - Complete omxil removal
    - Complete kfreebsd support removal
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 11 Apr 2024 22:16:25 +0200

vlc (3.0.20-3) unstable; urgency=medium

  * debian/control: Add missing dpkg-dev BD for time_t

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Mar 2024 10:55:19 +0100

vlc (3.0.20-2) unstable; urgency=medium

  * debian/patches: Bump module ABI for time_t transition

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Feb 2024 23:55:54 +0100

vlc (3.0.20-1) unstable; urgency=medium

  * New upstream version 3.0.20.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 01 Nov 2023 20:58:55 +0100

vlc (3.0.19-1) unstable; urgency=medium

  * New upstream version 3.0.19
  * debian/patches: Drop patches from upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 14 Oct 2023 19:52:05 +0200

vlc (3.0.18-4) unstable; urgency=medium

  [ Pino Toscano ]
  * d/vlc-plugin-base.install: drop non-existing files
  * d/rules: drop "libva" from "removeplugins" for all the archs
  * d/vlc-plugin-video-output: mark vaapi plugins as "libva"

  [ Sebastian Ramacher ]
  * debian/: Disable libplacebo. libplacebo 6 is too new for vlc.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 31 Jul 2023 23:47:01 +0200

vlc (3.0.18-3) unstable; urgency=medium

  * debian/control: Bump Standards-Version
  * debian/: Disable SDL support (Closes: #1038590)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Jul 2023 19:24:56 +0200

vlc (3.0.18-2) unstable; urgency=medium

  * debian/patches: Apply upstream patch for flac playback issues

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Dec 2022 22:11:55 +0100

vlc (3.0.18-1) unstable; urgency=medium

  * New upstream version 3.0.18

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 23 Nov 2022 19:50:35 +0100

vlc (3.0.18~rc2-1) unstable; urgency=medium

  * New upstream version 3.0.18~rc2
  * debian/control: Remove patches included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 10 Oct 2022 08:44:18 +0200

vlc (3.0.17.4-5) unstable; urgency=medium

  * debian/rules:
    - Revert "Disable libva support"
    - Do not pass any libva flags (Closes: #1021032) (LP: #1991418)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Oct 2022 22:07:16 +0200

vlc (3.0.17.4-4) unstable; urgency=medium

  * debian/control: Bump Standards-Version
  * debian/: Disable libva support
    vlc's libva support and ffmpeg 5.0 are not compatible.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Jun 2022 10:39:09 +0200

vlc (3.0.17.4-3) unstable; urgency=medium

  * debian/control: Move vlc-plugin-pipewire to Suggests
    The pipewire plugin fails to recognize some configurations where pipewire
    is available but not used as sound server.
  * debian/patches: Fix build with caca 0.99.beta20

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 17 Jun 2022 19:37:03 +0200

vlc (3.0.17.4-2) unstable; urgency=medium

  * debian/patches: Apply upstream patches to fix build with dav1d 1.0.0
    (Closes: #1008609)
  * debian/control: Recommend vlc-plugin-pipewire

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 May 2022 13:47:10 +0200

vlc (3.0.17.4-1) unstable; urgency=medium

  * New upstream version 3.0.17.4

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 Apr 2022 15:37:39 +0200

vlc (3.0.17.3-1) unstable; urgency=medium

  * New upstream version 3.0.17.3
  * debian/
    - Revert "Disable srt until the package is fixed" (Closes: #983109)
      Thanks to Florian Ernst
    - Move srt output plugin to vlc-plugin-access-extra

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Mar 2022 12:41:41 +0100

vlc (3.0.17-1) unstable; urgency=medium

  * New upstream version 3.0.17
    - Fix build with ffmpeg 5.0 (Closes: #1004584)
  * debian/control:
    - Switch to libidn-dev
    - Bump BD on libopenmpt-modplug-dev
    - Bump Standards-Version
  * debian/copyright:
    - Add missing text to BSD-2-clause
    - Update copyright for 3.0.17
  * debian/patches: Refresh patches
  * debian/rules: Set VLC_COMPILE_BY and VLC_COMPILE_HOST (Closes: #990246)
  * debian/: Update lintian override

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Mar 2022 20:40:54 +0100

vlc (3.0.16-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Jun 2021 21:07:16 +0200

vlc (3.0.15-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release
    - Fix remote code execution through crafted playlist
      (VideoLAN-SB-VLC-3013)
  * Remove patches included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 17 Jun 2021 23:38:35 +0200

vlc (3.0.12-3) unstable; urgency=medium

  * debian/patches: Apply upstream patches to prevent process freeze on exit
    (Closes: #916595) (LP: #1819543)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Mar 2021 17:42:00 +0100

vlc (3.0.12-2) unstable; urgency=medium

  * debian/: Disable live555 plugin due to #981439

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Jan 2021 11:40:59 +0100

vlc (3.0.12-1) unstable; urgency=medium

  * New upstream release
    - mkv: Fix heap-based buffer overflow (CVE-2020-26664) (Closes: #979676)
  * debian/control:
    - Switch to libshout-dev
    - Bump Standards-Version
  * debian/patches: Refresh patches
  * debian/vlc-plugins-base.install: Install RIST access plugins

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Jan 2021 17:13:21 +0100

vlc (3.0.11.1-3) unstable; urgency=medium

  * debian/patches: Apply upstream patches to fix build with Qt 5.15 (Closes:
    #972157)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 21 Oct 2020 21:14:33 +0200

vlc (3.0.11.1-2) unstable; urgency=medium

  * debian/control:
    - Remove unsed B-D
    - Switch to libdc1394-dev
    - Add Suggests and Recommends on the remaining packages (Closes: #970596)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 22 Sep 2020 23:11:26 +0200

vlc (3.0.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 31 Jul 2020 19:05:40 +0200

vlc (3.0.11-4) unstable; urgency=medium

  * debian/libvlc-bin.postinst: Redirect vlc-cache-gen output to stderr
  * debian/tests: Run vlc-cache-gen with gdb if plugins.dat is missing

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 20 Jul 2020 22:45:52 +0200

vlc (3.0.11-3) unstable; urgency=medium

  * debian/patches: Disable cache generation

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 07 Jul 2020 00:19:43 +0200

vlc (3.0.11-2) unstable; urgency=medium

  * debian/: Use dav1d instead of aom for decoding AV1 videos
  * debian/rules: Remove -Wl,--as-needed

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 03 Jul 2020 23:34:33 +0200

vlc (3.0.11-1) unstable; urgency=high

  * New upstream release
    - Fix a heap-based buffer overflow in hxxx_nall (CVE-2020-13428)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Jun 2020 22:47:37 +0200

vlc (3.0.10-2) unstable; urgency=medium

  * debian/:
    - Bump debhleper compat to 13
    - Disable srt until the package is fixed
    - Build omxil plugin only on Raspbian (Closes: #957915)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 11 Jun 2020 23:36:54 +0200

vlc (3.0.10-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Apr 2020 22:10:09 +0200

vlc (3.0.9.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Remove patches integrated upstream
  * debian/copyright:
    - Bump copyright years
    - Update files
  * debian/upstream/signing-key.asc: Re-export upstream's signing key

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Apr 2020 21:29:44 +0200

vlc (3.0.8-4) unstable; urgency=medium

  * debian/control: Bump Standards-Version
  * debian/upstream: Apply upstream patches for chromecast support in avahi
  * debian/: Disable microdns plugin

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 27 Feb 2020 21:44:49 +0100

vlc (3.0.8-3) unstable; urgency=medium

  * debian/control:
    - Replace libfreetype6-dev with libfreetype-dev
    - Bump Standards-Version
  * debian/: Build srt access plugin

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Nov 2019 22:38:08 +0100

vlc (3.0.8-2) unstable; urgency=medium

  * debian/: Revert "Switch back to libmodplug-dev since vlc now requires
    0.8.9.". Patch configure.ac instead.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Aug 2019 21:07:34 +0200

vlc (3.0.8-1) unstable; urgency=medium

  * New upstream release.
    - Fix a buffer overflow in the MKV demuxer (CVE-2019-14970)
    - Fix a read buffer overflow in the avcodec decoder (CVE-2019-13962)
    - Fix a read buffer overflow in the OGG demuxer (CVE-2019-14437,
      CVE-2019-14438)
    - Fix a read buffer overflow in the ASF demuxer (CVE-2019-14776)
    - Fix a use after free in the MKV demuxer (CVE-2019-14777, CVE-2019-14778)
    - Fix a use after free in the ASF demuxer (CVE-2019-14533)
    - Fix a null dereference in the ASF demuxer (CVE-2019-14534)
    - Fix a division by zero in the CAF demuxer (CVE-2019-14498)
    - Fix a division by zero in the ASF demuxer (CVE-2019-14535)
  * debian/: Remove crystalhd plugin. libcrystalhd-dev is scheduled for
    removal.
  * debian/patches: Remove patches included upstream.
  * debian/control: Switch back to libmodplug-dev since vlc now requires
    0.8.9.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Aug 2019 18:50:39 +0200

vlc (3.0.7.1-3) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix SIGFPE when playing DVDs.
    (Closes: #929491, #923017, #932182)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Jul 2019 10:17:45 +0200

vlc (3.0.7.1-2) unstable; urgency=medium

  * debian/: Remove obsolete maintscripts.
  * debian/control:
    - Remove obsolete transitional package.
    - Remove obsolete Breaks+Replaces.
    - Bump Standards-Version.
  * debian/patches: Apply upstream patches to
    - unbreak rendering in subsvtt.
    - fix integer underflows in mp4. (CVE-2019-13602) (Closes: #932131)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Jul 2019 19:55:05 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libvlccore9`.
